Aria: ArActionMovementParameters Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArActionMovementParameters Class Reference

`#include <ArActionMovementParameters.h>`

Inheritance diagram for ArActionMovementParameters:

List of all members.

## Detailed Description

This is a class for setting max velocities and accels and decels via ArConfig parameters (see addToConfig()) or manually (using setParameters()).

## Public Member Functions
void | addToConfig (ArConfig *config, const char *section, const char *prefix=NULL)
| Adds to the ArConfig given, in section, with prefix.
| ArActionMovementParameters (const char *name="MovementParameters", bool overrideFaster=true, bool addLatVelIfAvailable=true)
| Constructor.
void | disable (void)
| Disables this action (separate from deactivating it).
void | enable (void)
| Enables this action (separate from activating it).
void | enableOnceFromSector (ArMapObject *mapObject)
| Enables this action in a way that'll work from the sector callbacks.
virtual ArActionDesired * | fire (ArActionDesired currentDesired)
virtual const ArActionDesired * | getDesired (void) const
virtual ArActionDesired * | getDesired (void)
void | setParameters (double maxVel=0, double maxNegVel=0, double transAccel=0, double transDecel=0, double rotVelMax=0, double rotAccel=0, double rotDecel=0, double latVelMax=0, double latAccel=0, double latDecel=0)
| Sets the parameters (don't use this if you're using the addToConfig).
virtual | ~ArActionMovementParameters ()
| Destructor.
## Protected Attributes
bool | myAddLatVelIfAvailable
ArActionDesired | myDesired
bool | myEnabled
bool | myEnableOnce
double | myLatAccel
double | myLatDecel
double | myMaxLatVel
double | myMaxNegVel
double | myMaxRotVel
double | myMaxVel
bool | myOverrideFaster
double | myRotAccel
double | myRotDecel
double | myTransAccel
double | myTransDecel

The documentation for this class was generated from the following file:

- ArActionMovementParameters.h